MWAWDebug.hxx File Reference
`#include <string>`
`#include "MWAWInputStream.hxx"`
`#include <fstream>`
`#include <sstream>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | libmwaw::DebugFile
struct | libmwaw::DebugFile::NotePos
| a note and its position (used to sort all notes) More...
struct | libmwaw::DebugFile::NotePos::NotePosLt
| internal struct used to sort the notes, sorted by position More...

## Namespaces
namespace | libmwaw
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage
namespace | libmwaw::Debug
| debugging tools

## Typedefs
typedef std::stringstream | libmwaw::DebugStream
| a basic stream (if debug_with_files is not defined, does nothing)

## Functions
bool | libmwaw::Debug::dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
std::string | libmwaw::Debug::flattenFileName (std::string const &name)
| returns a file name from an ole/... name